Bug 29634 - Map biblio.medium to 245$h by default (MARC21)
Summary: Map biblio.medium to 245$h by default (MARC21)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-03 15:02 UTC by Caroline Cyr La Rose
Modified: 2022-02-18 12:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This updates the default Koha to MARC mappings so that biblio.medium maps to 245$h. The medium field was added in 19.11 but it was not linked to 245$h.
Version(s) released in:
22.05.00


Attachments
Bug 29634: Map biblio.medium to 245 by default (MARC21) (1.84 KB, patch)
2021-12-03 15:13 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 29634: Map biblio.medium to 245 by default (MARC21) (1.89 KB, patch)
2021-12-04 03:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 29634: Map biblio.medium to 245 by default (MARC21) (1.94 KB, patch)
2022-01-30 12:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-12-03 15:02:28 UTC
Bug 11529 added a medium field in the biblio table, but it is not linked to 245$h in the default marc21 framework.
Comment 1 Caroline Cyr La Rose 2021-12-03 15:13:37 UTC
Created attachment 128227 [details] [review]
Bug 29634: Map biblio.medium to 245 by default (MARC21)

This patch adds a mapping from 245 to biblio.medium.

To test:
1) Apply patch
2) Delete existing frameworks
   -  In the database
      delete from marc_tag_structure;
      delete from marc_subfield_structure;
      delete from biblio_framework;
3) Load default framework
   - In a terminal, run
     ./misc/load_yaml.pl -f installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml --load
4) In the staff interface, go to Administration > MARC bibliographic framework
   - Make sure the default framework is there
5) In Administration > Koha to MARC mapping, check the mappings for biblio.medium
   - biblio.medium should be mapped to 245
6) Create a bibliographic record with a value in 245
   - In the database, check the biblio entry for this record, the value from 245 should be in medium

I hope I didn't forget anything! :)

Caroline
Comment 2 David Nind 2021-12-04 03:48:30 UTC
Created attachment 128241 [details] [review]
Bug 29634: Map biblio.medium to 245 by default (MARC21)

This patch adds a mapping from 245 to biblio.medium.

To test:
1) Apply patch
2) Delete existing frameworks
   -  In the database
      delete from marc_tag_structure;
      delete from marc_subfield_structure;
      delete from biblio_framework;
3) Load default framework
   - In a terminal, run
     ./misc/load_yaml.pl -f installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml --load
4) In the staff interface, go to Administration > MARC bibliographic framework
   - Make sure the default framework is there
5) In Administration > Koha to MARC mapping, check the mappings for biblio.medium
   - biblio.medium should be mapped to 245
6) Create a bibliographic record with a value in 245
   - In the database, check the biblio entry for this record, the value from 245 should be in medium

I hope I didn't forget anything! :)

Caroline

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-12-04 06:55:13 UTC
I also changed the assignee for the bug to you.
Comment 4 Katrin Fischer 2022-01-30 12:37:20 UTC
Created attachment 129977 [details] [review]
Bug 29634: Map biblio.medium to 245 by default (MARC21)

This patch adds a mapping from 245 to biblio.medium.

To test:
1) Apply patch
2) Delete existing frameworks
   -  In the database
      delete from marc_tag_structure;
      delete from marc_subfield_structure;
      delete from biblio_framework;
3) Load default framework
   - In a terminal, run
     ./misc/load_yaml.pl -f installer/data/mysql/en/marcflavour/marc21/mandatory/marc21_framework_DEFAULT.yml --load
4) In the staff interface, go to Administration > MARC bibliographic framework
   - Make sure the default framework is there
5) In Administration > Koha to MARC mapping, check the mappings for biblio.medium
   - biblio.medium should be mapped to 245
6) Create a bibliographic record with a value in 245
   - In the database, check the biblio entry for this record, the value from 245 should be in medium

I hope I didn't forget anything! :)

Caroline

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin Somers 2022-02-16 21:52:21 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄